
CREATE TABLE CONTENT_CONSTRAINT
(
	CONT_CONS_ID NUMBER(18) NOT NULL,
	ACTUAL_DATA NUMBER(1) DEFAULT 1 NOT NULL,
	PERIODICITY varchar2(50) NULL,
	OFFSET varchar2(50) NULL,
	TOLERANCE varchar2(50) NULL,
	DP_ID NUMBER(18),
    ATTACH_TYPE varchar2(20) Not Null,
	SET_ID varchar2(255),
	SIMPLE_DATA_SOURCE nvarchar2(1024),
	START_TIME timestamp NULL,
	END_TIME timestamp NULL
)
;

ALTER TABLE CONTENT_CONSTRAINT ADD CONSTRAINT PK_CONTENT_CONSTRAINT
    PRIMARY KEY(CONT_CONS_ID)
;

ALTER TABLE CONTENT_CONSTRAINT ADD CONSTRAINT FK_CCA_DATAPROVIDER
	FOREIGN KEY (DP_ID) REFERENCES DATAPROVIDER(DP_ID)
;
